Subject: Re: [PATCH] powerpc/85xx: don't call of_platform_bus_probe() twice

From: Grant Likely <[email-masked]>
Date: Mon, 19 Mar 2012 16:04:52 +0000

On Fri, 16 Mar 2012 15:50:44 -0500, Timur Tabi <[email-masked]> wrote:
> Kumar Gala wrote:
> 
> > This seems like paper taping over the real issue.  We should be able to call of_platform_bus_probe() multiple times.
> 
> I tried debugging it, but I couldn't figure it out.  My guess is that the
> nodes probed by of_platform_bus_probe() are somehow "reserved", so that
> the second time it's called, they're skipped.  I figured that this was
> just a side-effect of the way the OF layer works.

The problem is that you want to create devices for grandchildren
nodes when the bus ids passed in don't match any of the child nodes so
the of_platform_bus_probe() doesn't iterate down to that level.  This
is correct and expected behaviour.

g.